Bug 483933 - Review Request: perl-autobox - Call methods on native types
Review Request: perl-autobox - Call methods on native types
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-04 06:28 EST by Allisson Azevedo
Modified: 2012-01-15 17:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-08 21:26:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-02-04 06:28:56 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-autobox/perl-autobox.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-autobox/perl-autobox-2.55-1.fc10.src.rpm

Description: The autobox pragma allows methods to be called on integers, floats,
strings, arrays, hashes, and code references in exactly the same manner as
blessed references.
Comment 1 Miroslav Suchý 2009-02-04 17:19:41 EST
You forgot to set up fedora‑review? flag. I done that for you.

I take this review and will do it tomorrow.
Comment 2 Miroslav Suchý 2009-02-06 03:20:25 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
d2813439a0da9b048cc1793af05b2144 for both
N/A - Package needs ExcludeArch
OK - BuildRequires correct
N/A - Spec handles locales/find_lang
N/A - Package is relocatable and has a reason to be.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
OK - Doc subpackage needed/used.
N/A - Headers/static libs in -devel subpackage.
N/A - Spec has needed ldconfig in post and postun
N/A - .pc files in -devel subpackage/requires pkgconfig
N/A - .so files in -devel subpackage.
N/A - -devel package Requires: %{name} = %{version}-%{release}
N/A - .la files are removed.
N/A - Package is a GUI app and has a .desktop file
OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =;
rpm -qp --requires $i; echo; done
../RPMS/i386/perl-autobox-2.55-1.i386.rpm
autobox.so
perl(autobox) = 2.55
perl-autobox = 2.55-1
=
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3)
perl >= 0:5.008
perl(:MODULE_COMPAT_5.8.8)
perl(Carp)
perl(Exporter)
perl(Scalar::Util)
perl(Scope::Guard)
perl(Storable)
perl(XSLoader)
perl(strict)
perl(warnings)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rtld(GNU_HASH)

../RPMS/i386/perl-autobox-debuginfo-2.55-1.i386.rpm
autobox.so.debug
perl-autobox-debuginfo = 2.55-1
=
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

SHOULD Items:

OK, tested on x86_64 - Should build in mock.
OK - Should build on all supported archs
FAIL - Should function as described.
# perl -Mautobox -e 'my $range = 10->to(1); print $range;'
Can't call method "to" without a package or object reference at -e line 1.
# perl -Mautobox -e 'print $error = 3.1415927->minus(22/7)->abs();'
Can't call method "minus" without a package or object reference at -e line 1.
No scriptlets - Should have sane scriptlets.
OK - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version
N/A - check for outstanding bugs on package. (For core merge reviews)

Strange is that tests passed, but example from documentation not. But maybe I'm doing something wrong. And it can be definitelly addressed as regular bug.

APPROVED
Comment 3 Allisson Azevedo 2009-02-06 11:49:01 EST
New Package CVS Request
=======================
Package Name: perl-autobox
Short Description: Call methods on native types
Owners: allisson
Branches: F-9 F-10
Comment 4 Kevin Fenzi 2009-02-08 16:49:08 EST
cvs done.
Comment 5 Iain Arnell 2012-01-15 04:29:01 EST
Package Change Request
======================
Package Name: perl-autobox
InitialCC: perl-sig

Please add perl-sig to this package with watchbugzilla and watchcommits bits on all fedora branches.
Comment 6 Gwyn Ciesla 2012-01-15 17:19:57 EST
Done.

Note You need to log in before you can comment on or make changes to this bug.